%define iconname %{name}.png

Summary:	A collection manager
Name:		tellico
Version:	2.3.5
Release:	%mkrel 1
Epoch:		3
License:	GPLv2+
Group:		Databases
URL:		http://tellico-project.org/
Source:		http://www.tellico-project.org/files/%{name}-%{version}.tar.bz2
Requires:	kdebase4-runtime
Requires:	kdelibs4-core
Requires:	kdemultimedia4
Requires:	kdepimlibs4-core
BuildRequires:	qjson
BuildRequires:	qjson-devel
BuildRequires:	pkgconfig(poppler-qt4)
BuildRequires:	kdepimlibs4-devel
BuildRequires:	kdemultimedia4-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	exempi-devel
BuildRequires:	libxslt-devel >= 1.0.19
BuildRequires:	imagemagick
BuildRequires:	taglib-devel
BuildRequires:	pkgconfig(poppler-qt4)
BuildRequires:	yaz-devel >= 3.0
BuildRequires:  qimageblitz-devel
BuildRequires:	libxml2-devel

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from different web services such as amazon.com.

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog
%{_kde_bindir}/%{name}
%{_kde_datadir}/applications/kde4/tellico.desktop
%{_kde_datadir}/mimelnk/application/x-tellico.desktop
%{_kde_datadir}/mime/packages/tellico.xml
%{_kde_datadir}/apps/%{name}
%{_kde_datadir}/apps/kconf_update/*
%{_kde_datadir}/config.kcfg/tellico_config.kcfg
%{_kde_datadir}/config/*
%{_kde_iconsdir}/hicolor/*/*/*.png

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%find_lang %{name} --with-html

%clean 
rm -rf %{buildroot}


%changelog

* Tue Jan 17 2012 bcornec <bcornec> 3:2.3.5-1.mga2
+ Revision: 197114
- Updated tellico to 2.3.5 upstream
- Recert previous modifications which were already the right one. Sorry for the error
- And update the taf as well :-(
- Update build-requires for tellico

* Mon Oct 10 2011 bcornec <bcornec> 3:2.3.4-2.mga2
+ Revision: 153612
- Forgot to bump %%mkrel to 2
- Add a patch which fixes wrong booleans handling in 2.3.4 (from the 2.3.5 tree)

* Fri Oct 07 2011 fwang <fwang> 3:2.3.4-1.mga2
+ Revision: 152726
- upload tarball
- upload tarball

  + bcornec <bcornec>
    - Update to 2.3.4 upstream

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Wed Jul 06 2011 mikala <mikala> 3:2.3.3-2.mga2
+ Revision: 119449
- Fix BuildRequires ( use libksane-devel instead of kdegraphics4-devel)

* Sat Apr 30 2011 ahmad <ahmad> 3:2.3.3-1.mga1
+ Revision: 93863
- Readd the Epoch dropped on initial import so that the package can be updated
  when upgrading from mdv 2010.1

* Mon Apr 11 2011 dmorgan <dmorgan> 2.3.3-1.mga1
+ Revision: 83160
- New version 2.3.3

* Sat Feb 12 2011 bcornec <bcornec> 2.3.2-1.mga1
+ Revision: 50902
- Created package structure for tellico.

